List Log Drains
GET
/
log-drains
curl "https://api.hedra.com/v3/log-drains" \
-H "Authorization: Bearer $HEDRA_API_KEY"{
"data": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"enabled": true,
"batch_size": 123,
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"header_names": [
"<string>"
],
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"last_failure_status": 123,
"last_error": {
"message": "<string>",
"retryable": false,
"retry_after": 123,
"param": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"reason": "<string>",
"allowed": [
"<string>"
]
}
],
"replaced_by": "<string>",
"billing": {
"balance": 123,
"funding_url": "<string>",
"required": 123,
"currency": "USD"
}
},
"disabled_reason": "<string>",
"updated_by_key_id": "<string>"
}
],
"next_cursor": "<string>"
}Authorizations
KeyAuthBearerToken
Primary scheme: Authorization: Key <key_id>:<secret>.
Response
Successful Response
Was this page helpful?
⌘I
curl "https://api.hedra.com/v3/log-drains" \
-H "Authorization: Bearer $HEDRA_API_KEY"{
"data": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"enabled": true,
"batch_size": 123,
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"header_names": [
"<string>"
],
"last_success_at": "2023-11-07T05:31:56Z",
"last_failure_at": "2023-11-07T05:31:56Z",
"last_failure_status": 123,
"last_error": {
"message": "<string>",
"retryable": false,
"retry_after": 123,
"param": "<string>",
"details": [
{
"field": "<string>",
"message": "<string>",
"reason": "<string>",
"allowed": [
"<string>"
]
}
],
"replaced_by": "<string>",
"billing": {
"balance": 123,
"funding_url": "<string>",
"required": 123,
"currency": "USD"
}
},
"disabled_reason": "<string>",
"updated_by_key_id": "<string>"
}
],
"next_cursor": "<string>"
}